Subject: Re: Reply with BULKMAIL

From: [email-masked] (Erik Dufek x3-2825)
Date: Tue, 10 May 94 01:42:20 CDT

> I'd like to set up a PROCMAIL recipe that replies (to sender) by
> sending a (rather large) .GIF graphics file.  If I were doing this
> mannually, I would issue the following command;
> 
> bulkmail recipient@there graphic.gif < n.txt
> 
> BULKMAIL does a UUENCODE and breaks that file up into managable chunks
> (about 1000 lines) and sends the file in multiple parts with an
> additional part containing instructions for re-assembling the original
> file.  The n.txt file contains the letter "n", to respond to a prompt
> from BULKMAIL.
> 
> How can I code this auto-reply with PROCMAIL?

The following is how I auto-reply to a senders request for a data
file.  I do some filtering for reasons not germane here and then
UUENCODE the binary file.  A standard help file is included so that the
user knows how to use it when they get it.

I assume you are asking the question because of the BULKMAIL process.
I don't have bulkmail here, but it sounds interesting.  I think you're
going to have to read the BULKMAIL man page to see what you need to do
an autoreply.  It shouldn't be any more difficult then sendmail I would
think.

erik
---
[email-masked]

# *********************************************************************
# ccMail weekly update file FW9407

:0 HBWc:      ccdu9407               # the lockfile is important
* !^FROM_DAEMON
* !^From +YOUR_LOGIN_NAME
* !^::::
* From.*@
* ^SEND CCDU9407
| echo "CCDU9407 `/usr/devbin/formail -XFrom: -XSubject:  -xDate:`" >> $SERVERQA 

  :0 ahcW
  | (/usr/devbin/formail -rA"Comments: ccMail Directory Update files for FW9407"\
     -I"Subject: ccMail Update FW 07, 1994";\
     cat $MAILREQ/help_text;\
     uuencode $MAILREQ/ccdu9407.exe fw0794.exe\
      ) | $SENDMAIL -t